<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/
..\UI.xsd">
	<Button name="HHH_CenterButtonTemplate" enableMouse="true" movable="true" virtual="true" inherits="SecureActionButtonTemplate, SecureHandlerAttributeTemplate" >
		<Size x="58" y="58"/>
		<Anchors>
			<Anchor point="CENTER" relativeTo="$parent" relativePoint="CENTER">
				<Offset>
					<AbsDimension x="0" y="0"/>
				</Offset>
			</Anchor>
		</Anchors>
		<ButtonText name="$parentText">
			<Anchors>
				<Anchor point="CENTER" relativeTo="$parent" relativePoint="CENTER">
					<Offset>
						<AbsDimension x="0" y="0"/>
					</Offset>
				</Anchor>
			</Anchors>
		</ButtonText>
		<NormalFont style="GameFontNormalLarge"/>
		<Layers>
			<Layer level="BORDER">
				<Texture name="$parentIcon">
					<Size><AbsDimension x="57" y="57"/></Size>
					<Anchors>
						<Anchor point="CENTER" relativeTo="$parent" relativePoint="CENTER"/>
					</Anchors>
				</Texture>
			</Layer>
			
			<Layer level="ARTWORK">
				<Texture file="Interface\AddOns\Hadar_HolyHope\Icons\cover">
					<Size><AbsDimension x="58" y="58"/></Size>
					<Anchors>
						<Anchor point="CENTER" relativeTo="$parent" relativePoint="CENTER"/>
					</Anchors>
				</Texture>
			</Layer>
		</Layers>
		<Scripts>
			<OnDragStart>
				HHH.Center_OnDragStart(self);
			</OnDragStart>
			<OnDragStop>
				HHH.Center_OnDragStop(self);
			</OnDragStop>
		</Scripts>
	</Button>
	
		
	<Button name="HHH_SpellButtonTemplate" inherits="SecureActionButtonTemplate" hidden="true" enableMouse="true" movable="false" virtual="true">
		<Size>
			<AbsDimension x="32" y="32"/>
		</Size>
		<Anchors>
			<Anchor point="CENTER" relativeTo="$parent" relativePoint="CENTER">
				<Offset>
					<AbsDimension x="0" y="0"/>
				</Offset>
			</Anchor>
		</Anchors>

		<ButtonText name="$parentText">
			<Anchors>
				<Anchor point="CENTER">
					<Offset>
						<AbsDimension x="0" y="1"/>
					</Offset>
				</Anchor>
			</Anchors>
		</ButtonText>
		<NormalFont style="GameFontNormalLarge"/>

		<Layers>
			<Layer level="BORDER">
				<Texture name="$parentIcon">
					<Size><AbsDimension x="31" y="31"/></Size>
					<Anchors>
						<Anchor point="CENTER"/>
					</Anchors>
				</Texture>
			</Layer>
			<Layer level="ARTWORK">
				<Texture file="Interface\AddOns\Hadar_HolyHope\Icons\cover">
					<Size><AbsDimension x="32" y="32"/></Size>
					<Anchors>
						<Anchor point="CENTER"/>
					</Anchors>
				</Texture>
			</Layer>
		</Layers>
		<Scripts>
			<OnAttributeChanged>
				HHH.SpellButton_OnAttributeChanged(self, name, value);
			</OnAttributeChanged>
			<OnEnter>
				HHH.CreateSpellButtonTooltip(self);
			</OnEnter>
				
			<OnLeave>
				GameTooltip:Hide();
			</OnLeave>
		</Scripts>
		
		<HighlightTexture name="$parentHighlight" alphaMode="BLEND" file="Interface\AddOns\Hadar_HolyHope\Icons\buttonhighlight"/>
	</Button>

	<Button name="HHH_RedemptionButtonTemplate" inherits="SecureActionButtonTemplate, SecureHandlerStateTemplate" enableMouse="true" virtual="true" movable="true">
		<Size x="58" y="58"/>
		<Anchors>
			<Anchor point="CENTER" relativeTo="$parent" relativePoint="CENTER">
				<Offset>
					<AbsDimension x="0" y="0"/>
				</Offset>
			</Anchor>
		</Anchors>
		<ButtonText name="$parentText">
			<Anchors>
				<Anchor point="CENTER">
					<Offset>
						<AbsDimension x="0" y="0"/>
					</Offset>
				</Anchor>
			</Anchors>
		</ButtonText>
		<NormalFont style="GameFontNormalLarge"/>
		<Layers>
			<Layer level="BORDER">
				<Texture name="$parentIcon">
					<Size><AbsDimension x="57" y="57"/></Size>
					<Anchors>
						<Anchor point="CENTER"/>
					</Anchors>
				</Texture>
			</Layer>
			
			<Layer level="ARTWORK">
				<Texture file="Interface\AddOns\Hadar_HolyHope\Icons\cover">
					<Size><AbsDimension x="58" y="58"/></Size>
					<Anchors>
						<Anchor point="CENTER"/>
					</Anchors>
				</Texture>
			</Layer>
		</Layers>
		<Scripts>
			<OnDragStart>
				HHH.Center_OnDragStart(self);
			</OnDragStart>
			<OnDragStop>
				HHH.Center_OnDragStop(self);
			</OnDragStop>
		</Scripts>
	</Button>
	
	
	

</Ui>
